# Form implementation generated from reading ui file 'src/eric7/MicroPython/MipPackageDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_MipPackageDialog(object):
    def setupUi(self, MipPackageDialog):
        MipPackageDialog.setObjectName("MipPackageDialog")
        MipPackageDialog.resize(450, 202)
        MipPackageDialog.setSizeGripEnabled(True)
        self.gridLayout = QtWidgets.QGridLayout(MipPackageDialog)
        self.gridLayout.setObjectName("gridLayout")
        self.label = QtWidgets.QLabel(parent=MipPackageDialog)
        self.label.setObjectName("label")
        self.gridLayout.addWidget(self.label, 0, 0, 1, 1)
        self.packageEdit = QtWidgets.QLineEdit(parent=MipPackageDialog)
        self.packageEdit.setClearButtonEnabled(True)
        self.packageEdit.setObjectName("packageEdit")
        self.gridLayout.addWidget(self.packageEdit, 0, 1, 1, 1)
        self.label_2 = QtWidgets.QLabel(parent=MipPackageDialog)
        self.label_2.setObjectName("label_2")
        self.gridLayout.addWidget(self.label_2, 1, 0, 1, 1)
        self.versionEdit = QtWidgets.QLineEdit(parent=MipPackageDialog)
        self.versionEdit.setClearButtonEnabled(True)
        self.versionEdit.setObjectName("versionEdit")
        self.gridLayout.addWidget(self.versionEdit, 1, 1, 1, 1)
        self.mpyCheckBox = QtWidgets.QCheckBox(parent=MipPackageDialog)
        self.mpyCheckBox.setChecked(True)
        self.mpyCheckBox.setObjectName("mpyCheckBox")
        self.gridLayout.addWidget(self.mpyCheckBox, 2, 0, 1, 2)
        self.label_3 = QtWidgets.QLabel(parent=MipPackageDialog)
        self.label_3.setObjectName("label_3")
        self.gridLayout.addWidget(self.label_3, 3, 0, 1, 1)
        self.targetEdit = QtWidgets.QLineEdit(parent=MipPackageDialog)
        self.targetEdit.setClearButtonEnabled(True)
        self.targetEdit.setObjectName("targetEdit")
        self.gridLayout.addWidget(self.targetEdit, 3, 1, 1, 1)
        self.label_4 = QtWidgets.QLabel(parent=MipPackageDialog)
        self.label_4.setObjectName("label_4")
        self.gridLayout.addWidget(self.label_4, 4, 0, 1, 1)
        self.indexEdit = QtWidgets.QLineEdit(parent=MipPackageDialog)
        self.indexEdit.setToolTip("")
        self.indexEdit.setClearButtonEnabled(True)
        self.indexEdit.setObjectName("indexEdit")
        self.gridLayout.addWidget(self.indexEdit, 4, 1, 1, 1)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=MipPackageDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Cancel|QtWidgets.QDialogButtonBox.StandardButton.Ok)
        self.buttonBox.setObjectName("buttonBox")
        self.gridLayout.addWidget(self.buttonBox, 5, 0, 1, 2)

        self.retranslateUi(MipPackageDialog)
        self.buttonBox.accepted.connect(MipPackageDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(MipPackageDialog.reject) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(MipPackageDialog)
        MipPackageDialog.setTabOrder(self.packageEdit, self.versionEdit)
        MipPackageDialog.setTabOrder(self.versionEdit, self.mpyCheckBox)
        MipPackageDialog.setTabOrder(self.mpyCheckBox, self.targetEdit)
        MipPackageDialog.setTabOrder(self.targetEdit, self.indexEdit)

    def retranslateUi(self, MipPackageDialog):
        _translate = QtCore.QCoreApplication.translate
        MipPackageDialog.setWindowTitle(_translate("MipPackageDialog", "Install Package"))
        self.label.setText(_translate("MipPackageDialog", "Package Name:"))
        self.packageEdit.setToolTip(_translate("MipPackageDialog", "Enter the name of the package."))
        self.label_2.setText(_translate("MipPackageDialog", "Version:"))
        self.versionEdit.setToolTip(_translate("MipPackageDialog", "Enter the version of the package."))
        self.mpyCheckBox.setToolTip(_translate("MipPackageDialog", "Select to install as compiled (.mpy) file."))
        self.mpyCheckBox.setText(_translate("MipPackageDialog", "Install .mpy File"))
        self.label_3.setText(_translate("MipPackageDialog", "Target Directory:"))
        self.targetEdit.setToolTip(_translate("MipPackageDialog", "Enter the directory to install to (must be contained in sys.path). Leave empty to detect automatically."))
        self.label_4.setText(_translate("MipPackageDialog", "Package Index:"))
